curl --request GET \
--url https://api.mnemom.ai/v1/teams/{team_id}/reputation \
--header 'Authorization: Bearer <token>'{
"team_id": "<string>",
"team_name": "<string>",
"score": 123,
"grade": "AAA",
"confidence": "insufficient",
"is_eligible": true,
"components": [
{
"key": "coherence_history",
"label": "<string>",
"score": 123,
"weight": 123,
"weighted_score": 123,
"factors": [
"<string>"
]
}
],
"total_assessments": 123,
"last_assessed": "2023-11-07T05:31:56Z",
"trend_30d": 123,
"visibility": "public",
"computed_at": "2023-11-07T05:31:56Z",
"member_count": 123,
"a2a_trust_extension": {
"extension_uri": "<string>",
"provider": "<string>",
"score": 123,
"grade": "<string>",
"confidence": "<string>",
"member_count": 123,
"verified_url": "<string>",
"badge_url": "<string>",
"methodology_url": "<string>",
"last_updated": "2023-11-07T05:31:56Z"
}
}Retrieve the current reputation score for a team, including component breakdown and A2A trust extension.
curl --request GET \
--url https://api.mnemom.ai/v1/teams/{team_id}/reputation \
--header 'Authorization: Bearer <token>'{
"team_id": "<string>",
"team_name": "<string>",
"score": 123,
"grade": "AAA",
"confidence": "insufficient",
"is_eligible": true,
"components": [
{
"key": "coherence_history",
"label": "<string>",
"score": 123,
"weight": 123,
"weighted_score": 123,
"factors": [
"<string>"
]
}
],
"total_assessments": 123,
"last_assessed": "2023-11-07T05:31:56Z",
"trend_30d": 123,
"visibility": "public",
"computed_at": "2023-11-07T05:31:56Z",
"member_count": 123,
"a2a_trust_extension": {
"extension_uri": "<string>",
"provider": "<string>",
"score": 123,
"grade": "<string>",
"confidence": "<string>",
"member_count": 123,
"verified_url": "<string>",
"badge_url": "<string>",
"methodology_url": "<string>",
"last_updated": "2023-11-07T05:31:56Z"
}
}Supabase JWT token in Authorization: Bearer header
Team identifier (UUID)
Team reputation score
0-1000
AAA, AA, A, BBB, BB, B, CCC, NR insufficient, low, medium, high true when total_assessments >= 10
Show child attributes
public, unlisted, private Show child attributes